Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks.executor
Interface ExecutorNotification

All Known Implementing Classes:
  ExecutionService.DistributedFuture

    public interface ExecutorNotification

Author:
  wburns

Method Summary
`void` | `interrupted(java.lang.Runnable runnable)`
`void` | `resultReturned(java.lang.Object obj)`
`void` | `throwableEncountered(java.lang.Throwable t)`

Method Detail

### resultReturned

    void resultReturned(java.lang.Object obj)

### throwableEncountered

    void throwableEncountered(java.lang.Throwable t)

### interrupted

    void interrupted(java.lang.Runnable runnable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.